# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%define myplugdir %{_libdir}/mysql/plugin/

Name:           mysqludf_xql
Version:        1.0.0
Release:        alt1_6
Summary:        MySQL UDF library for XML output

Group:          Databases
License:        LGPLv2+
URL:            http://www.mysqludf.org/lib_mysqludf_xql/
Source0:        http://www.mysqludf.org/lib_mysqludf_xql/lib_%{name}-%{version}.tar.gz

BuildRequires:  libmysqlclient-devel libxml2-devel
Requires:       mysql-server

# https://bugzilla.redhat.com/show_bug.cgi?id=926190
# autoreconf for aarch64
BuildRequires: automake autoconf libtool
Source44: import.info

%description
The lib_mysqludf_xql library provides an array of functions, which can be used 
to create XML output directly from MySQL using a single SQL query. 

%prep
%setup -q -n lib_%{name}-%{version}
autoreconf -fi
sed -i 's/\r//' API COPYING installdb.sql

%build
%configure --libdir=%{myplugdir} --with-libxml2=%{_libdir}/xml2Conf.sh \
           --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{myplugdir}/*.la


%files
%doc API AUTHORS ChangeLog COPYING NEWS README installdb.sql uninstalldb.sql
%{myplugdir}/lib_mysqludf_xql.so


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_6
- initial fc import

